Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.SignatureFillSignObject Class Reference
Inheritance diagram for foxit.pdf.SignatureFillSignObject:

## Public Member Functions
| SignatureFillSignObject (FillSignObject fillsign_object)
| Constructor, with parent class object. More...
| SignatureFillSignObject ()
| Constructor.
bool | IsInitialsType ()
| Check if current annotation is an initials signature fill-sign object. More...
void | SetBitmap (Bitmap bitmap)
| Set a bitmap. More...
Public Member Functions inherited from foxit.pdf.FillSignObject
| FillSignObject (FillSignObject other)
| Constructor, with another fill-sign object. More...
| FillSignObject ()
| Constructor.
bool | GenerateContent ()
| Generate content for current fill-sign object. More...
RectF | GetRect ()
| Get rectangle, in PDF coordinate system. More...
FillSign.FillSignObjectType | GetType ()
| Get fill-sign type. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | Move (PointF point, float width, float height, Rotation rotation)
| Move current fill-sign object. More...

## Detailed Description

Class SignatureFillSignObject is derived from class FillSignObject , and is used to represent a signature or initiials signature fill-sign object.

See also
  FillSignObject

## Constructor & Destructor Documentation

## ◆ SignatureFillSignObject()

foxit.pdf.SignatureFillSignObject.SignatureFillSignObject | ( | FillSignObject | fillsign_object | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | fillsign_object | Parent class object.

## Member Function Documentation

## ◆ IsInitialsType()

bool foxit.pdf.SignatureFillSignObject.IsInitialsType | ( |  | ) |
| inline

Check if current annotation is an initials signature fill-sign object.

Returns
  true means current object is an initials signature fill-sign object, while false means current object is a signature fill-sign object.

## ◆ SetBitmap()

void foxit.pdf.SignatureFillSignObject.SetBitmap | ( | Bitmap | bitmap | ) |
| inline

Set a bitmap.

Parameters

  [in] | bitmap | A bitmap to be set to current fill-sign object. This should be a valid bitmap object.

Returns
  None.